
@charset "utf-8";
/* CSS Document */

/*----------------------------------------
共通
----------------------------------------*/

.c-column-section {
    display: flex;
    padding-top: 96px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 48px;
    align-self: stretch;
    margin-bottom: 48px;
}

.c-column-section__title {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 12px;
    align-self: stretch;
}

.c-column-section__title-en {
    color: #C7C4DE;
    font-family: Inter;
    font-size: 12px;
    font-style: normal;
    font-weight: 600;
    line-height: 16px; /* 133.333% */
    letter-spacing: 3.6px;
    text-transform: uppercase;
}

.c-column-section__title-ja {
    color: #140564;
    font-family: "Hiragino Kaku Gothic ProN";
    font-size: 36px;
    font-style: normal;
    font-weight: 600;
    line-height: 40px; /* 111.111% */
}

.c-column-category-nav {
    width: 100%;
    margin-top: 24px;
}

.c-column-category-nav__list {
    display: flex;
    gap: 24px;
    flex-wrap: wrap;
    padding: 0;
}

/* 各タブ */
.c-column-category-nav__item a {
    padding: 4px 12px;
    font-size: 14px;
    font-style: normal;
    font-weight: 500;
    line-height: 20px; /* 142.857% */
    color: rgba(51, 51, 51, 0.40);
    text-decoration: none;
    border-bottom: 2px solid #E5E7EB;
}

/* ホバー */
.c-column-category-nav__item a:hover {
    color: #2563EB;
    border-bottom-color: #2563EB;
}

/* 選択中（青い下線） */
.c-column-category-nav__item.is-active a {
    color: #2563EB;
    border-bottom: 2px solid #2563EB;
}

.c-column-section--new {
    position: relative;
}

.c-column-section--new::before {
    content: "";
    position: absolute;
    top: 0;
    left: 50%;
    width: 100vw;
    height: calc(100% + 80px); 
    transform: translateX(-50%);
    background: #F3F4F6;
    z-index: -1;
}

/* すべてのコラム：横3つ × 自動折り返し */
/* .c-column__items {
    display: grid;
    grid-template-columns: repeat(3, minmax(0, 1fr));
    gap: 32px;
    width: 100%;
} */

.c-column__items {
    display: flex;
    flex-wrap: wrap;
    width: 1216px;
    justify-content: center;
    align-items: flex-start;
    gap: 32px;
}

.c-column__items--all {
    justify-content: flex-start; /* ← 左寄せ */
}


/* 新着コラムページ（flex 横並び） */
/* .page-column-home .c-column__items {
  display: flex;
  flex-direction: row;
  gap: 24px;
} */


/* .c-column__items > * {
    width: 100% !important;
    display: block !important;
} */

@media (max-width: 768px) {
  .c-column__items {
    grid-template-columns: 1fr; /* スマホは1列 */
    gap: 24px;
  }
}

.pagination {
  display: flex;
  height: 120px;
  padding: 40px 0;
  align-items: center;
  justify-content: center;
  gap: 4.8px;
}

.pagination a.prev,
.pagination span.prev.disabled {
  display: flex;
  width: 40px;
  height: 40px;
  justify-content: center;
  align-items: center;
  background: url("img/column/angle.png") center/contain no-repeat;
  transform: rotate(180deg);
}

.pagination a.next,
.pagination span.next.disabled {
  display: flex;
  width: 40px;
  height: 40px;
  justify-content: center;
  align-items: center;
  background: url("img/column/angle.png") center/contain no-repeat;
}

/* クリック不可のとき（＜＞ディセーブル） */
.pagination span.disabled {
  opacity: 0.3;
  pointer-events: none;
}

.pagination .current {
  display: flex;
  width: 40px;
  height: 40px;
  padding: 11.5px 0 12.5px 0;
  justify-content: center;
  align-items: center;
  background: #333;
  border-radius: 2px;

  color: #FFF;
  font-family: "Noto Sans JP";
  font-size: 12px;
  font-weight: 400;
  line-height: 16px;
  letter-spacing: 1.2px;
}

.pagination a {
  display: flex;
  width: 40px;
  height: 40px;
  padding: 11.5px 0 12.5px 0;
  justify-content: center;
  align-items: center;
  background: #FFF;
  border-radius: 2px;
  text-decoration: none;

  color: #333;
  font-family: "Noto Sans JP";
  font-size: 12px;
  font-weight: 400;
  line-height: 16px;
  letter-spacing: 1.2px;
}

.pagination a:hover {
  background: #F5F5F5;
}
